<?
if($ku['dostup']<1)
{
echo '<div class="block">';
echo '<img src="/images/smiles/zayac.gif"> Упс! Вход только админу.';
echo '</div>';
include_once 'inc/foot.php';
exit;
}
if(isset($_GET['add']))
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Добавить</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
$name=$_POST['name'];
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название удобрения');}
$cena=intval($_POST['cena']);
$timee=intval($_POST['time']);
$rating=intval($_POST['rating']);
$level=intval($_POST['level']);
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень доступности');}
if(!is_numeric($cena) || strlen2($cena)<1){$err=1;err_game('Неверная цена');}
if(!is_numeric($timee) || strlen2($timee)<1){$err=1;err_game('Неверное времья ускорения роста');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт');}
$timee=60*$timee;
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
mysql_query("INSERT INTO `kolhoz_user` SET `rating` = '$rating', `money` = '$money', `level` = '$level',`time_drakon` = '$time_drakon''");
$id=mysql_insert_id();
move_uploaded_file($tmp, 
"images/soils/$id.png");
header("location: ?admin=$admin");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Название удобрения:<br /><input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='0' /><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Времья ускорения роста(минут):<br /><input name=\"time\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Изображение удобрения(потом можно изменить):<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Добавить' type='submit' name='ok' /><br />\n";
echo "</form></div>\n";
include_once 'inc/foot.php';
exit;
}





if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
$edit=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['edit'])."'"));


if(isset($_GET['change_img']))
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Заменить изображение</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
unlink("images/soils/$edit[id].png");
move_uploaded_file($tmp, 
"images/soils/$edit[id].png");
header("Location:?admin=$admin&edit=$edit[id]");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Изображение удобрения:<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form><br />\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Редактировать</h1></div>";
echo '<div class="content"><div class="block">';


if(isset($_POST['ok']))
{
$nick=$_POST['nick'];
if(strlen2($nick)<1){$err=1;err_game('Неверный ник');}
$money=intval($_POST['money']);
$rating=intval($_POST['rating']);
$rubies=intval($_POST['rubies']);
$level=intval($_POST['level']);

if(!is_numeric($money) || strlen2($money)<1){$err=1;err_game('Неверное к-во монет');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт');}
if(!is_numeric($rubies) || strlen2($rubies)<1){$err=1;err_game('Неверное к-во рубинов');}
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень');}
if (!isset($err))
{
mysql_query("UPDATE `kolhoz_user` SET `nick` = '$nick', `money` = '$money', `rating` = '$rating', `rubies` = '$rubies', `level` = '$level' WHERE `id` = '$edit[id]'");
header("Location:?admin=$admin");
}
}
echo "<ul>";
echo "<li style='padding-bottom:8px'>";
echo "<div class='small'>";
echo "</div></ul><div style='clear:both'></div>";
echo "<form method=\"post\">\n";
echo "Игровой ник:<br /><input name=\"nick\" type=\"text\" maxlength='32' value='$edit[nick]' /><br />\n";
echo "Монеты:<br /><input name=\"money\" type=\"text\" maxlength='32' value='$edit[money]' /><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value='$edit[rating]' /><br />\n";
echo "Рубины:<br /><input name=\"rubies\" type=\"text\" maxlength='32' value='$edit[rubies]'/><br />\n";
echo "Уровень:<br /><input name=\"level\" type=\"text\" maxlength='32' value='$edit[level]'/><br />\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form>\n";
echo "<div><br/>&raquo; <a href='?admin=$admin&del=$edit[id]'>Удалить</a></div>";
echo "</div>";
include_once 'inc/foot.php';
exit;
}



if(isset($_GET['del']) && intval($_GET['del'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0)
{
$del=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '".intval($_GET['del'])."'"));
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `kolhoz_user` WHERE `id` = '$del[id]'");
header("Location:?admin=$admin");
}
podtv("?admin=$admin&del=$del[id]&ok","?admin=$admin");
include_once 'inc/foot.php';
}

echo "<div class='event'><h1><a href='?admin=list'>Админка</a> / $admin_name</h1></div>";


$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user`"),0);
if ($k_post==0)
{
echo "Список пользователей пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_user` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
echo "<div class='block'><a href='?admin=$admin&edit=$post[id]'><img width='17' height='17' src='images/icons/user_male.png' alt='o' class='portrait'></a><span><a href= '?admin=$admin&edit=$post[id]'> ID ".hsc($post['id'])."</a></span><span class='minor'>, </span><span><img width='16' height='16' src='images/icons/money.png' alt='o'><span class='title'>$post[money]</span>, <img width='16' height='16' src='images/icons/ruby.png' alt='o'><span class='title'>$post[rubies]</span></span></div></div>";
}
if ($k_page>1)str("?admin=$admin&",$k_page,$page); // Вывод страниц
echo "</ul></div>";
include_once 'inc/foot.php';
?>